microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a skill
DELETE
/skills/{name}
Removes the specified skill and its associated versions.
Parametry ścieżki
name
string
wymagane
The unique name of the skill.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Odpowiedzi
The request has succeeded.
Treść
Content-Type: application/json
id
string
wymagane
The unique identifier of the deleted skill.
name
string
wymagane
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
wymagane
Whether the skill was successfully deleted.
Żądanie
DELETE /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json